from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MSysPerl(Package):
  def full_name (self):
    return "msys-perl-5.6.1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/perl-5.6.1-MSYS-1.0.11-1.tar.bz2",
                        "c941352eedf68589aaaa79e77f257f15")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "perl-5.6.1-MSYS-1.0.11-1.tar.bz2",
                      self.config.PREFIX.join (Path ("msys")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ MSysPerl() ]
