from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MSysLibZ(Package):
  def full_name (self):
    return "msys-libz-1.2.3"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/zlib-1.2.3-MSYS-1.0.11-1.tar.bz2",
                        "783472702ebbdf6566b5e802274671da")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "zlib-1.2.3-MSYS-1.0.11-1.tar.bz2",
                      self.config.PREFIX.join (Path ("msys")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ MSysLibZ() ]
